Subject: bug#31182: Grep Not Matching with Caret in First Line of File

From: Paul Eggert <[email-masked]>
Date: Sat, 21 Apr 2018 13:56:36 -0700

I don't observe the problem in upstream grep, so quite possibly this is a 
packaging issue in Git for Windows. I suggest reporting the bug there.